package com.nisum.example.service;

import com.nisum.example.dto.ProductDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.ReactiveMongoTemplate;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Mono;

@Service
public class ProductServiceImpl implements IProductService {

    @Autowired
    private ReactiveMongoTemplate reactiveMongoTemplate;

    @Override
    public Mono<ProductDTO> saveProduct(ProductDTO productDTO) {
        return reactiveMongoTemplate.save(productDTO);
    }
}
