package com.nisum.example.model;

import lombok.*;
import lombok.experimental.FieldDefaults;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@FieldDefaults(level = AccessLevel.PRIVATE)
public class Product {
    String prodId;
    String prodName;
    String prodDescription;
    Double prodPrice;
    List<Location> prodLocationList;
}
